<?php
/**
 * $JA#COPYRIGHT$
 */

// no direct access
defined('_JEXEC') or die('Restricted accessd');

if(!$module->id) return;

jimport('joomla.filesystem.file');
include_once(dirname(__FILE__).'/asset/behavior.php');
include_once(dirname(__FILE__).'/asset/asset.php');
require_once (dirname(__FILE__) . '/helper.php');

$loadSdk = 0;
if(!defined('MOD_JASOCIAL_LOCKER')) {
	define('MOD_JASOCIAL_LOCKER', 1);
	$loadSdk = 1;
}

$u = JUri::getInstance();
$currentUrl = $u->toString();
$helper = new modJASocialLockerHelper($module, $params, $currentUrl);

$hideLocker = $params->get('hide_when_done', 0);
$unlocker = $params->get('unlock_groups',array());
$useAjax = (int) $params->get('use_ajax', 1);
$time_preview = (int) $params->get('time_preview', 0);
if(!JFile::exists(JPATH_ROOT.'/components/com_ajax/ajax.php')) {
	//disable use ajax if com_ajax is not installed
	$useAjax = 0;
}

//hide locked box when printing and in feed
$app = JFactory::getApplication();
$format = $app->input->get('format', 'html');
if($format == 'feed') {
	return false;
}

$langTag = JFactory::getLanguage()->getTag();

$fbLang = str_replace('-', '_', $langTag);
if($fbLang == 'ar_AA') $fbLang = 'ar_AR';
/**
 * @TODO adding settings in configuration form to allow user add custom code for callback funtions
 * for current version: add custom callback functions in template files if need
 */
$urls = array(
	'facebook' => $params->get('facebook_url', $currentUrl),
	'twitter' => $params->get('twitter_url', $currentUrl),
	'gplus' => $params->get('gplus_url', $currentUrl)
);
$config = new stdClass();
$config->baseurl 		= JUri::base(true);
$config->urls			= $urls;
$config->tweets			= $helper->getTweets();
$config->message        = $helper->isUnlocked();
$config->moduleid 		= (int) $module->id;
$config->loadSdk 		= (int) $loadSdk;
$config->hideLocker 	= (int) $hideLocker;
$config->use_ajax 		= $useAjax;
$config->facebook_appid = $params->get('facebook_appid', '');
$config->language 		= $fbLang;
$config->languageCode 	= preg_replace('/\-.*/', '', $langTag);
$config = json_encode($config);

$button_style = $params->get('button_style', 'standard');
$buttons = $helper->renderButtons();
$css = 'theme-'.$params->get('theme', 'default');
$css .= ' '. $params->get('moduleclass_sfx', '');

require JModuleHelper::getLayoutPath($module->module, $params->get('layout', 'default'));